> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didx.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Secure Citizen Anti-Money Laundering Screening

> This is a service that completes an anti-money laundering screening to enable clients to ensure that their consumers are not in sanctions lists, that they are not politically exposed and that they don’t have any adverse media data on them.



## OpenAPI

````yaml products/didx-verify/api-reference/v1/openapi.json post /Citizen/AMLScreening
openapi: 3.0.1
info:
  title: SecureCitizen.Citizen.Api
  description: >-
    This is the API documentation for Secure Citizen products. Should you
    require further information please contact us on the email provided.
  contact:
    name: Api Contant Name
    email: support@securecitizen.co.za
  license:
    name: Proprietary
    url: https://www.securecitizen.co.za
  version: v1
  x-logo:
    url: >-
      https://securecitizen.co.za/wp-content/uploads/2022/11/Untitled-design-14.svg
    altText: Secure Citizen
servers:
  - url: https://citizen.uat.securecitizen.cloud
security: []
tags:
  - name: Citizen
    description: This details information we can replace to describe this endpoint
  - name: CitizenV
    description: This details information we can replace to describe this endpoint
  - name: CustomClient
    description: This details information we can replace to describe this endpoint
  - name: Partner
    description: This details information we can replace to describe this endpoint
paths:
  /Citizen/AMLScreening:
    post:
      tags:
        - Citizen
      summary: Secure Citizen Anti-Money Laundering Screening
      description: >-
        This is a service that completes an anti-money laundering screening to
        enable clients to ensure that their consumers are not in sanctions
        lists, that they are not politically exposed and that they don’t have
        any adverse media data on them.
      operationId: AMLScreening
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmlScreeningRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PepScreeningResponse'
        '401':
          description: Unauthenticated
        '403':
          description: Unauthorized access to this resource
        '500':
          description: Cat-as-trophy
      security:
        - oauth2:
            - sc-citizen
components:
  schemas:
    AmlScreeningRequest:
      required:
        - ConsentReceived
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: "Example: \"REF00001\"\r\n\r\nThis is the unique transaction reference number that can be supplied by the controller. This will be provided in response messages related to the transaction and will be required for identifying transactions for support purposes."
          format: string
          nullable: true
        ConsentReceived:
          title: Consent Received
          type: boolean
          description: "Example: true\r\n\r\nThis is an indicator to audit the fact that the controller has obtained consent from the subject to process their personal information and data as per the regulatory requirements pertaining to local and global privacy and data protection legislation."
          format: bool
        ResidentType:
          title: Resident Type
          type: string
          description: |-
            Client should indicate resident type applicable to the consumer

            Values: rsa_citizen/foreign_national
          nullable: true
        IdentificationNumber:
          title: Identification Number
          type: string
          description: >-
            Client to provide the identification number that corresponds with
            the chosen resident type.
          nullable: true
        Firstname:
          title: First Name
          type: string
          description: Input the consumers first name.
          nullable: true
        Surname:
          title: Surname
          type: string
          description: Input the consumers surname.
          nullable: true
        BirthDate:
          title: Birth Date
          type: string
          description: Date of birth in format of DD-MM-YYYY.
          nullable: true
      additionalProperties: false
    PepScreeningResponse:
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: >-
            This field will return the reference provided by the client to track
            the transaction.
          format: string
          nullable: true
        Status:
          $ref: '#/components/schemas/ExternalStatusEnums'
        Message:
          title: Message
          type: string
          description: >-
            This will return a status of the transaction s well as external
            tracking information.
          format: string
          nullable: true
        result:
          title: Result
          type: boolean
          description: This will indicate whether the validation was successful.
        result_code:
          $ref: '#/components/schemas/ResultCode'
        response_object:
          $ref: '#/components/schemas/PepScreeningResponseObject'
      additionalProperties: false
    ExternalStatusEnums:
      title: Status
      enum:
        - Success
        - Failure
        - Unknown
        - AuthFailure
        - DataDeserializationError
        - EmptyResults
        - ErrorContactSupport
        - FaceDetectionFailure
        - FaceComparisonFailure
        - NoStatusDefined
        - FaceDetectionQualityTooLow
        - FaceDetectionTooManyFaces
        - FaceDetectionNoFacesFound
        - FaceComparisonError
        - FaceComparisonNotSame
        - GoldenSourceImageNull
        - ProvidedImageNull
        - GoldenSourceNoFacesFound
        - ProvidedImageNoFacesFound
        - GoldenSourceHasTooManyFaces
        - ProvidedImageHasTooManyFaces
        - GoldenSourceQualityTooLow
        - ProvidedImageQualityTooLow
        - GoldenSourceGUIDIncorrect
        - ProvidedImageGUIDIncorrect
        - FaceAPIGeneralError
        - FaceAPIPublicUrlInputError
        - FaceBadInput
        - GoldenSourceIncorrectStringFormat
        - ProvidedImageIncorrectStringFormat
        - SAFPSNPROk
        - SAFPSHANISOk
        - SAFPSNIISOk
        - SAFPSNPRSlow
        - SAFPSHANISSlow
        - SAFPSNIISSlow
        - SAFPSFailure
        - SAFPSPossibleFailure
        - SAFPSNPRFailure
        - SAFPSHANISFailure
        - SAFPSNIISFailure
        - FaceTooClose
        - EyesClosed
        - FaceCloseToBorder
        - FaceCropped
        - FaceIsOccluded
        - FaceNotFound
        - TooManyFaces
        - FaceTooSmall
        - AbsoluteFaceTooSmall
        - RelativeFaceTooSmall
        - FaceAngleTooLarge
        - FailedToPredictLandmarks
        - Active
        - CSuccess
        - AsyncCSuccess
        - IdentificationNumberInvalid
        - IdentificationNumberAgeBelow18
        - UnableToVerifyIdentificationNumberOnDocument
        - UnableToVerifyIdentificationNumberAtGoldenSource
        - GoldenSourceUnavailable
        - MandatoryInformationMissing
        - NPRSuccess
        - HANISNotAvailable
        - InvalidIDNCheckDigitTestNotPassed
        - NPRNotAvailableOnlyPhotoIsReturned
        - IDNRIsNotCurrentlyAValidNPRIDNR
        - IDNRIsMarkedForDeletion
      type: string
      description: >-
        Status values (static strings) to be used for external connection
        management
      format: string
    ResultCode:
      type: object
      properties:
        name:
          title: ID Name
          type: string
          description: The name extracted from the identity document provided.
          nullable: true
        id:
          title: ID number
          type: integer
          description: >-
            The identity document number extracted from the identity document
            provided.
          format: int32
      additionalProperties: false
    PepScreeningResponseObject:
      type: object
      properties:
        matches:
          type: array
          items:
            $ref: '#/components/schemas/Match'
          nullable: true
      additionalProperties: false
    Match:
      type: object
      properties:
        entityType:
          type: string
          nullable: true
        gender:
          type: string
          nullable: true
        names:
          type: string
          nullable: true
        dateListed:
          type: string
          format: date-time
        number:
          type: string
          nullable: true
        reasonListed:
          type: string
          nullable: true
        comments:
          type: string
          nullable: true
        additionalInformation:
          type: array
          items:
            $ref: '#/components/schemas/Additionalinformation'
          nullable: true
        countries:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    Additionalinformation:
      type: object
      properties:
        type:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        comments:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://sts.uat.securecitizen.cloud/connect/authorize
          tokenUrl: https://sts.uat.securecitizen.cloud/connect/token
          scopes:
            sc-citizen: SecureCitizen.Citizen.Api

````